summaryrefslogtreecommitdiffstats
path: root/runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh
diff options
context:
space:
mode:
authorChristian Brabandt <cb@256bit.org>2023-08-27 17:52:18 +0100
committerGitHub <noreply@github.com>2023-08-27 18:52:18 +0200
commite5e04306bf02aa4ad488558dd593cf5c3b72f9b7 (patch)
treec566e36fbe7ecac49940b12b83435caa0e7c851c /runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh
parent6dfdff3f273dcea29099d81e3eceb871ae089998 (diff)
runtime: Distribute the editorconfig with vim (#12902)
This is the editorconfig-vim plugin Commit e014708e917b457e8f6c57f357d55dd3826880d4 from https://github.com/editorconfig/editorconfig-vim closes: #2286 related: https://github.com/editorconfig/editorconfig-vim/issues/223 Signed-off-by: Christian Brabandt <cb@256bit.org>
Diffstat (limited to 'runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh')
-rwxr-xr-xruntime/pack/dist/opt/editorconfig/tests/fetch-vim.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh b/runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh
new file mode 100755
index 0000000000..22e7912aab
--- /dev/null
+++ b/runtime/pack/dist/opt/editorconfig/tests/fetch-vim.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# fetch-vim.bat: Fetch vim if necessary
+# For use in the editorconfig-vim Appveyor build
+# Copyright (c) 2018--2019 Chris White. All rights reserved.
+# Licensed Apache 2.0, or any later version, at your option.
+
+# Debugging
+set -x
+set -o nounset
+#set -o errexit
+
+# Basic system info
+uname -a
+pwd
+ls -l
+
+echo "VIM_EXE: $VIM_EXE"
+set
+
+# If it's already been loaded from the cache, we're done
+if [[ -x "$VIM_EXE" ]]; then
+ echo Vim found in cache at "$VIM_EXE"
+ exit 0
+fi
+
+# Otherwise, clone and build it
+WHITHER="$APPVEYOR_BUILD_FOLDER/vim"
+
+git clone https://github.com/vim/vim-appimage.git
+cd vim-appimage
+git submodule update --init --recursive
+
+cd vim/src
+./configure --with-features=huge --prefix="$WHITHER" --enable-fail-if-missing
+make -j2 # Free tier provides two cores
+make install
+./vim --version
+cd $APPVEYOR_BUILD_FOLDER
+find . -type f -name vim -exec ls -l {} +
+
+echo Done fetching and installing vim